#!/bin/sh
#211101 sfs
[ ! "$1" ] && echo "Use: $0 name.pfs" && exit 1
[ "`unsquashfs -s "$1" |grep ompression |grep zstd`" ] && echo "$1 : `unsquashfs -s "$1" |grep ompression`" && exit 1
n="`basename "$1"`"
d=/tmp/"$n"
mkdir "$d"
mv "$1" "$1".old
mount "$1".old "$d" &&
    mksquashfs  "$d" "$1" -b 512K -comp zstd -Xcompression-level 18 
umount "$d" && rmdir "$d"
